net.sf.jasperreports.data.cache

## Class TypedColumnStore

- java.lang.Object
- - net.sf.jasperreports.data.cache.TypedColumnStore

- All Implemented Interfaces:
    ColumnStore

      public class TypedColumnStore
      extends java.lang.Object
      implements ColumnStore

  Version:
    $Id: TypedColumnStore.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypedColumnStore(ColumnDataCacheHandler cacheHandler, java.lang.Class<?> baseType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.Object value)`
    `ColumnValues` | `createValues()`
    `protected void` | `ensureNullStore()`
    `protected boolean` | `ensureValueStore(java.lang.Object value)`
    `java.lang.Class<?>` | `getBaseValuesType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypedColumnStore

          public TypedColumnStore(ColumnDataCacheHandler cacheHandler,
                          java.lang.Class<?> baseType)

  - ### Method Detail

    - #### getBaseValuesType

          public java.lang.Class<?> getBaseValuesType()

      Specified by:
        `getBaseValuesType` in interface `ColumnStore`

    - #### addValue

          public void addValue(java.lang.Object value)

      Specified by:
        `addValue` in interface `ColumnStore`

    - #### ensureNullStore

          protected void ensureNullStore()

    - #### ensureValueStore

          protected boolean ensureValueStore(java.lang.Object value)

    - #### createValues

          public ColumnValues createValues()

      Specified by:
        `createValues` in interface `ColumnStore`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com